#
# spec file for package python-azure-mgmt-datalake-nspkg
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-datalake-nspkg
Version:        3.0.1
Release:        lp152.5.3.1
Summary:        Microsoft Azure Data Lake Management namespace package
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-datalake-nspkg/azure-mgmt-datalake-nspkg-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-mgmt-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-mgmt-nspkg >= 3.0.0
Requires:       python-azure-nspkg >= 3.0.0
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Data Lake Management namespace package.

This package is not intended to be installed directly by the end user.

It provides the necessary files for other packages to extend the azure.mgmt.datalake namespace.

%prep
%setup -q -n azure-mgmt-datalake-nspkg-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-datalake-nspkg-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
mkdir -p %{buildroot}%{python2_sitelib}/azure/mgmt/datalake
mkdir -p %{buildroot}%{python3_sitelib}/azure/mgmt/datalake

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%python2_only %{python2_sitelib}/azure/mgmt/datalake
%python3_only %dir %{python3_sitelib}/azure/mgmt/datalake
%{python_sitelib}/azure_mgmt_datalake_nspkg-*.egg-info

%changelog
* Tue Dec 15 2020 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Fri Apr 12 2019 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 3.0.1
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Switch to implicit namespace packages on Python 3 (PEP 420)
  + Create an empty python_sitelib directory on Python 3
- Update BuildRequires and Requires from setup.py
* Fri Sep  7 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Move LICENSE.txt from %%doc to %%license section
* Thu Oct  5 2017 adrian.glaubitz@suse.com
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Explicitly specify Python files of the package in %%files
- Add missing upstream URL in Source
* Thu Jul 13 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.0
